Get Cart By Id
curl --request GET \
--url https://api.decodahealth.com/billing/cart/{cart_id} \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/billing/cart/{cart_id}"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/billing/cart/{cart_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"patient": {
"id": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"email": "<string>",
"locationId": "<string>",
"externalId": "<string>",
"address": "<string>",
"addressLineTwo": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"country": "<string>",
"addressValid": true,
"meta": {},
"isArchived": true,
"primaryLocationId": "<string>",
"gender": "<string>",
"dateOfBirth": "2023-12-25",
"patientMedications": [
"<string>"
],
"onSchedulingBlacklist": true,
"surchargeDisabled": true,
"tags": [
{
"id": "<string>",
"name": "<string>",
"isActive": true,
"createdDate": "2023-11-07T05:31:56Z",
"emoji": "<string>",
"color": "<string>",
"updatedDate": "2023-11-07T05:31:56Z"
}
],
"creditBalance": 123,
"preferredProviderId": "<string>"
},
"discountAmount": 123,
"discountPercentage": 123,
"taxAmount": 123,
"total": 123,
"subtotal": 123,
"creator": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"createdDate": "2023-11-07T05:31:56Z"
},
"items": [],
"quotes": [
{
"id": "<string>",
"patientId": "<string>",
"discountAmount": 123,
"discountPercentage": 123,
"taxAmount": 123,
"total": 123,
"creatorId": "<string>",
"cartId": "<string>",
"title": "<string>",
"itemCount": 0,
"packageCount": 0,
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"validUntilDate": "2023-11-07T05:31:56Z",
"sentDate": "2023-11-07T05:31:56Z",
"viewedDate": "2023-11-07T05:31:56Z",
"respondedDate": "2023-11-07T05:31:56Z",
"internalNotes": "<string>",
"creator": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"createdDate": "2023-11-07T05:31:56Z"
},
"patient": {
"id": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"email": "<string>",
"locationId": "<string>",
"externalId": "<string>",
"address": "<string>",
"addressLineTwo": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"country": "<string>",
"addressValid": true,
"meta": {},
"isArchived": true,
"primaryLocationId": "<string>",
"gender": "<string>",
"dateOfBirth": "2023-12-25",
"patientMedications": [
"<string>"
],
"onSchedulingBlacklist": true,
"surchargeDisabled": true,
"tags": [
{
"id": "<string>",
"name": "<string>",
"isActive": true,
"createdDate": "2023-11-07T05:31:56Z",
"emoji": "<string>",
"color": "<string>",
"updatedDate": "2023-11-07T05:31:56Z"
}
],
"creditBalance": 123,
"preferredProviderId": "<string>"
}
}
],
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"expiresDate": "2023-11-07T05:31:56Z",
"notes": "<string>",
"convertedChargeId": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Carts
Get Cart By Id
Get cart by ID with all details including items and packages.
GET
/
billing
/
cart
/
{cart_id}
Get Cart By Id
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Response
Successful Response
Summary schema for cart with basic details.
Cart ID
Patient details
Show child attributes
Show child attributes
Cart status
Available options:
DRAFT, ABANDONED, ACCEPTED, REJECTED, CONVERTED, EXPIRED Total discount in cents
Overall discount percentage
Total tax in cents
Final total in cents
Calculate subtotal from items after item-level discounts.
Creator details
Show child attributes
Show child attributes
Items and packages in the cart
Show child attributes
Show child attributes
Quotes created from this cart
Show child attributes
Show child attributes
Date the cart was created
Date the cart was last updated
When the cart expires
Notes about the cart
ID of charge if cart was converted
⌘I
